شما اینجا هستید

سیستم مورد نیاز دروپال

برای نصب و اجرای دروپال ، وب سرور شما باید حداقل ملزومات اولیه دروپال را تامین کند. بیشتر وب سرور ها بصورت پیشفرض تامین کننده این نیاز هستند. با این حال برخی اوقات با مشکلاتی در تامین بستر اولیه دروپال روبرو میشوید که به آن می پردازیم. اگر نیاز به خرید هاست برای خود دارید سعی کنید از سرویس دهندگان معتبر و با تجربه استفاده کنید.

سلب مسئولیت
پیش نیاز های دروپال ممکن است در زمان های مختلف و با توجه به نیاز هسته تغییر کنند که این موارد بندرت دیده می شود. در عین حال برای این تغییرات اطلاع رسانی همگانی صورت می پذیرد.

فضای دیسک
دروپال برای نصب اولیه به ۱۵ مگابایت فضا نیاز دارد. برای یک وب سایت که بخواهد تعدادی افزونه و قالب بروی سایت خود نصب کند در حدود ۶۰ مگابایت فضا کافیست. بیاد داشته باشید که بیشتر این فضا در اختیار پایگاه داده قرار می گیرد و قسمتی از این فضا در اختیار آپلود کاربران ، رسانه ها، فایل های پشتیبان و فایل های دیگر است. بالطبع اگر حجم داده های شما افزایش یابد نیاز به افزایش این فضا دارید.

و‌ب سرور
دروپال میتواند بروی وب سرورهای زیر نصب شود:
آپاچی، انجین اکس و یا مایکروسافت IIS
جزئیات بیشتر در مورد الزامات وب سرور را در صفحه اطلاعات وب سرور مشاهده کنید.

بانک اطلاعات
دروپال 6: MySQL نسخه 4.1 یا بالاتر، PostgreSQL و 7.1،
دروپال 7: MySQL نسخه 5.0.15 یا بالاتر با PDO، PostgreSQL و 8.3 یا بالاتر با PDO، از SQLite 3.3.7 یا بالاتر
دروپال 8: MySQL نسخه 5.1.21 / ماریادیبی / Percona / معادل یا بالاتر با PDO و موتور ذخیره سازی اولیه INNODB سازگار، PostgreSQL و 8.3 یا بالاتر با PDO، از SQLite 3.3.7 یا بالاتر

مایکروسافت SQL سرور و اوراکل توسط ماژول های اضافی میتوانند برای نصب دروپال استفاده شوند.
جزئیات بیشتر در مورد پایگاه داده دروپال را در صفحه اطلاعات سرور پایگاه داده ببینید.

پی اچ پی
دروپال 6: فقط پی اچ پی 5.2.x. هشدار: پشتیبانی از PHP 4.X پایان یافته است. هسته دروپال باید با 5.3.x PHP،یا بیشتر کار کند اما ممکن است خطاهایی نمایان گردد. این خطاها بیشتر از جانب افزونه های جنبی خواهد بود.
دروپال 7: پی اچ پی 5.2.5 یا بالاتر (5.3 توصیه می شود).
دروپال 8: PHP 5.4.5 یا بالاتر

جزئیات بیشتر در مورد الزامات پی اچ پی، از جمله حافظه پی اچ پی را در صفحه اختصاصی آن مشاهده کنید.